Update workload spec.
Update the specification of an existing workload.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
WorkloadV2Id
Request
This endpoint expects an object.
metadata
manifest
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
manifestBase64Encoded
Kubernetes YAML manifest encoded in base 64. Mutually exclusive with manifest.
Response
Workload update request accepted
metadata
desiredPhase
The desired phase of the workload.
Allowed values:
workloadManifest
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
rawManifest
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error